## tdebase-trinity 14.0.8

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  (C) 2014 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing (DOT) net
#
#  Improvements and feedback are welcome
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdebase )

set( PACKAGE tdebase )
set( VERSION R14.0.8 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckCSourceRuns )
include( CheckCXXSourceRuns )
include( CheckCXXSourceCompiles )
include( CheckLibraryExists )
include( CheckFunctionExists )
include( CheckSymbolExists )
include( CheckStructHasMember )
include( CheckTypeSize )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/qt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_SASL "Enable SASL support" ${WITH_ALL_OPTIONS} )
option( WITH_LDAP "Enable LDAP support" ${WITH_ALL_OPTIONS} )
option( WITH_SAMBA "Enable SAMBA support" ${WITH_ALL_OPTIONS} )
option( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
option( WITH_XCOMPOSITE "Enable xcomposite support" ${WITH_ALL_OPTIONS} )
option( WITH_XCURSOR "Enable xcursor support" ${WITH_ALL_OPTIONS} )
option( WITH_XFIXES "Enable xfixes support" ${WITH_ALL_OPTIONS} )
option( WITH_XRANDR "Enable xrandr support" ${WITH_ALL_OPTIONS} )
option( WITH_XRENDER "Enable xrender support" ${WITH_ALL_OPTIONS} )
option( WITH_LIBCONFIG "Enable libconfig support" ${WITH_ALL_OPTIONS} )
option( WITH_PCRE "Enable pcre regex support" ON )
option( WITH_XTEST "Enable xtest support" ${WITH_ALL_OPTIONS} )
option( WITH_OPENGL "Enable openGL support" ${WITH_ALL_OPTIONS} )
option( WITH_XSCREENSAVER "Enable xscreensaver support" ${WITH_ALL_OPTIONS} )
option( WITH_LIBART "Enable libart support (for SVG icons and wallpapers)" ${WITH_ALL_OPTIONS} )
option( WITH_LIBUSB "Enable control of some mouse models through libusb" ${WITH_ALL_OPTIONS} )
option( WITH_LIBRAW1394 "Enable visualization of ieee1394 devices through libraw1394" ${WITH_ALL_OPTIONS} )
option( WITH_SUDO_TDESU_BACKEND "Use sudo as backend for tdesu (default is su)" OFF )
option( WITH_SUDO_KONSOLE_SUPER_USER_COMMAND "Use sudo when launching Konsole super user sessions (default is su)" OFF )
option( WITH_PAM "tdm should use PAM" ${WITH_ALL_OPTIONS} )
option( WITH_SHADOW "tdm should use shadow passwords" ${WITH_ALL_OPTIONS} )
option( WITH_XDMCP "xdmcp support for tdm" ${WITH_ALL_OPTIONS} )
option( WITH_XINERAMA "Enable xinerama extension support" ${WITH_ALL_OPTIONS} )
option( WITH_ARTS "Enable aRts support" ${WITH_ALL_OPTIONS} )
option( WITH_I8K "Enable Dell laptop support (ksysguard)" ${WITH_ALL_OPTIONS} )
option( WITH_SENSORS "Enable lm_sensors support (ksysguard)" ${WITH_ALL_OPTIONS} )
option( WITH_HAL "Enable HAL support" OFF )
option( WITH_TDEHWLIB "Enable TDE hardware library support" ${WITH_ALL_OPTIONS} )
option( WITH_UPOWER "Enable UPOWER support" ${WITH_ALL_OPTIONS} )
option( WITH_ELFICON "Enable ELF embedded metadata support" ${WITH_ALL_OPTIONS} )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )

##### options comments ##########################

# WITH_SASL         affects tdeioslaves(tdeio_ldap tdeio_smtp tdeio_pop3)
# WITH_LDAP         affects tdeioslaves(tdeio_ldap)
# WITH_SAMBA        affects tdeioslaves(tdeio_samba) kcontrol
# WITH_OPENEXR      affects tdeioslaves(thumbnail)
# WITH_XCOMPOSITE   affects twin kicker(taskmanager) tdm
# WITH_XCURSOR      affects tdeioslaves(thumbnail), kcontrol(input), kdesktop
# WITH_XFIXES       affects twin klipper kicker(taskmanager)
# WITH_XRANDR       affects tdm, kcontrol(displayconfig randr iccconfig)
# WITH_XRENDER      affects twin konsole kicker(taskmanager) kdesktop
#                           kcontrol(style)
# WITH_XTEST        desription adds some hotkey functonality. Its functionality
#                              replaced by xkb nearly everywhere except the
#                              mouse gestures. Also it used as a fallback if
#                              xkb initialization fails.
# WITH_XTEST        affects tdm kxkb khotkeys
# WITH_XSCREENSAVER affects kdesktop
# WITH_LIBART       affects tdm kcontrol(icons background)
# WITH_LIBUSB       affects kcontrol(input)
# WITH_XDMCP        affects tdm
# WITH_XINERAMA     affects ksplashml twin/compton-tde
# WITH_ARTS         affects libkonq khotkeys
# WITH_I8K          affects ksysguard
# WITH_SENSORS      affects ksysguard
# WITH_HAL          affects tdeioslaves(media) ksmserver kicker
# WITH_TDEHWLIB     affects tdeioslaves(media), replaces WITH_HAL on systems without HAL
# WITH_LIBRAW1394   affects kcontrol(view1394)
# WITH_PAM          affects tdm kdesktop kcheckpass
# WITH_SHADOW       affects tdm kcheckpass
# WITH_UPOWER       affects ksmserver
# WITH_LIBCONFIG    affects twin/compot-tde
# WITH_PCRE         affects twin/compot-tde
# WITH_SUDO_TDESU_BACKEND affects tdesu
# WITH_SUDO_KONSOLE_SUPER_USER_COMMAND affects launching Konsole super user sessions

# NOTE: WITH_SHADOW and WITH_PAM shouldn't be set concurrently
#       WITH_PAM will override WITH_SHADOW
# NOTE: if WITH_XCOMPOSITE=ON then the following options are also required:
#       WITH_XRENDER=ON
#       WITH_XFIXES=ON

##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_TDEINIT "Build tdeinit" ${BUILD_ALL} )
option( BUILD_L10N "Build l10n" ${BUILD_ALL} )
option( BUILD_PICS "Build pics" ${BUILD_ALL} )
option( BUILD_APPLNK "Build applnk" ${BUILD_ALL} )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_LIBKONQ "Build libkonq" ${BUILD_ALL} )
option( BUILD_KCMINIT "Build kcminit" ${BUILD_ALL} )
option( BUILD_KCONTROL "Build kcontrol" ${BUILD_ALL} )
option( BUILD_TWIN "Build twin" ${BUILD_ALL} )
option( BUILD_KATE "Build kate" ${BUILD_ALL} )
option( BUILD_KONQUEROR "Build konqueror" ${BUILD_ALL} )
option( BUILD_TDEIOSLAVES "Build tdeioslaves" ${BUILD_ALL} )
option( BUILD_KICKER "Build kicker" ${BUILD_ALL} )
option( BUILD_KDESKTOP "Build kdesktop" ${BUILD_ALL} )
option( BUILD_KONSOLE "Build konsole" ${BUILD_ALL} )
option( BUILD_KLIPPER "Build klipper" ${BUILD_ALL} )
option( BUILD_KMENUEDIT "Build kmenuedit" ${BUILD_ALL} )
option( BUILD_TDEPRINT "Build tdeprint" ${BUILD_ALL} )
option( BUILD_KPERSONALIZER "Build kpersonalizer" ${BUILD_ALL} )
option( BUILD_TDEPASSWD "Build tdepasswd" ${BUILD_ALL} )
option( BUILD_KTIP "Build ktip" ${BUILD_ALL} )
option( BUILD_TDEEJECT "Build tdeeject" ${BUILD_ALL} )
option( BUILD_KDIALOG "Build kdialog" ${BUILD_ALL} )
option( BUILD_KREADCONFIG "Build kreadconfig" ${BUILD_ALL} )
option( BUILD_TDESU "Build tdesu" ${BUILD_ALL} )
option( BUILD_TDM "Build tdm" ${BUILD_ALL} )
option( BUILD_KSMSERVER "Build ksmserver" ${BUILD_ALL} )
option( BUILD_KSPLASHML "Build ksplashml" ${BUILD_ALL} )
option( BUILD_STARTTDE "Build starttde" ${BUILD_ALL} )
option( BUILD_KFIND "Build kfind" ${BUILD_ALL} )
option( BUILD_DRKONQI "Build drkonqi" ${BUILD_ALL} )
option( BUILD_KDCOP "Build kdcop" ${BUILD_ALL} )
option( BUILD_TDEDEBUGDIALOG "Build tdedebugdialog" ${BUILD_ALL} )
option( BUILD_KNETATTACH "Build knetattach" ${BUILD_ALL} )
option( BUILD_KPAGER "Build kpager" ${BUILD_ALL} )
option( BUILD_KAPPFINDER "Build kappfinder" ${BUILD_ALL} )
option( BUILD_KCHECKPASS "Build kcheckpass" ${BUILD_ALL} )
option( BUILD_KHELPCENTER "Build khelpcenter" ${BUILD_ALL} )
option( BUILD_KHOTKEYS "Build khotkeys" ${BUILD_ALL} )
option( BUILD_TDESCREENSAVER "Build tdescreensaver" ${BUILD_ALL} )
option( BUILD_KSTART "Build kstart" ${BUILD_ALL} )
option( BUILD_KSYSTRAYCMD "Build ksystraycmd" ${BUILD_ALL} )
option( BUILD_NSPLUGINS "Build nsplugins"  ${BUILD_ALL} )
option( BUILD_KSYSGUARD "Build ksysguard"  ${BUILD_ALL} )
option( BUILD_KXKB "Build kxkb"  ${BUILD_ALL} )
option( BUILD_TSAK "Build tsak"  ${BUILD_ALL} )
option( BUILD_TDEKBDLEDSYNC "Build tdekbdledsync"  ${BUILD_ALL} )
option( BUILD_KROOTBACKING "Build krootbacking"  ${BUILD_ALL} )
option( BUILD_TQT3INTEGRATION "Build tqt3integration"  ${BUILD_ALL} )
option( BUILD_CRASHTEST "Build crash test program"  ${BUILD_ALL} )
option( BUILD_PROFILE_SHUTDOWN "Build ksmserver shutdown debugging timing markers"  OFF )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:$ENV{PKG_CONFIG_PATH}:${LIB_INSTALL_DIR}/pkgconfig" )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )

check_type_size( "long long" LONG_LONG )


##### tdebase directories #######################

add_subdirectory( tdmlib )
add_subdirectory( kcontrol )

tde_conditional_add_subdirectory( BUILD_TDEINIT tdeinit )
tde_conditional_add_subdirectory( BUILD_L10N l10n )
tde_conditional_add_subdirectory( BUILD_PICS pics )
tde_conditional_add_subdirectory( BUILD_APPLNK applnk )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_LIBKONQ libkonq )
tde_conditional_add_subdirectory( BUILD_KCMINIT kcminit )
tde_conditional_add_subdirectory( BUILD_TWIN twin )
tde_conditional_add_subdirectory( BUILD_KATE kate )
tde_conditional_add_subdirectory( BUILD_KONQUEROR konqueror )
tde_conditional_add_subdirectory( BUILD_TDEIOSLAVES tdeioslave )
tde_conditional_add_subdirectory( BUILD_KICKER kicker )
tde_conditional_add_subdirectory( BUILD_KDESKTOP kdesktop )
tde_conditional_add_subdirectory( BUILD_KONSOLE konsole )
tde_conditional_add_subdirectory( BUILD_KLIPPER klipper )
tde_conditional_add_subdirectory( BUILD_KMENUEDIT kmenuedit )
tde_conditional_add_subdirectory( BUILD_TDEPRINT tdeprint )
tde_conditional_add_subdirectory( BUILD_KPERSONALIZER kpersonalizer )
tde_conditional_add_subdirectory( BUILD_TDEPASSWD tdepasswd )
tde_conditional_add_subdirectory( BUILD_KTIP ktip )
tde_conditional_add_subdirectory( BUILD_TDEEJECT tdeeject )
tde_conditional_add_subdirectory( BUILD_KDIALOG kdialog )
tde_conditional_add_subdirectory( BUILD_KREADCONFIG kreadconfig )
tde_conditional_add_subdirectory( BUILD_TDESU tdesu )
tde_conditional_add_subdirectory( BUILD_TDM tdm )
tde_conditional_add_subdirectory( BUILD_KSMSERVER ksmserver )
tde_conditional_add_subdirectory( BUILD_KSPLASHML ksplashml )
tde_conditional_add_subdirectory( BUILD_KFIND kfind )
tde_conditional_add_subdirectory( BUILD_DRKONQI drkonqi )
tde_conditional_add_subdirectory( BUILD_KDCOP kdcop )
tde_conditional_add_subdirectory( BUILD_TDEDEBUGDIALOG tdedebugdialog )
tde_conditional_add_subdirectory( BUILD_KNETATTACH knetattach )
tde_conditional_add_subdirectory( BUILD_KPAGER kpager )
tde_conditional_add_subdirectory( BUILD_KAPPFINDER kappfinder )
tde_conditional_add_subdirectory( BUILD_KCHECKPASS kcheckpass )
tde_conditional_add_subdirectory( BUILD_KHELPCENTER khelpcenter )
tde_conditional_add_subdirectory( BUILD_KHOTKEYS khotkeys )
tde_conditional_add_subdirectory( BUILD_TDESCREENSAVER tdescreensaver )

=== applnk/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( compat )

install( FILES
    tde-settings.menu tde-screensavers.menu
  DESTINATION ${XDG_MENU_INSTALL_DIR} )

install( FILES
    tde-essential.menu
  DESTINATION ${XDG_MENU_INSTALL_DIR}/applications-merged )

install( FILES
    hidden.directory
  DESTINATION ${APPS_INSTALL_DIR}/.hidden
  RENAME .directory )

install( FILES
    tde-games-logic.directory
    tde-main.directory tde-development.directory tde-editors.directory
    tde-edutainment.directory tde-games-arcade.directory
    tde-games-board.directory tde-games-card.directory
    tde-games-kids.directory tde-games-roguelikes.directory
    tde-games-strategy.directory tde-games.directory
    tde-graphics.directory tde-settings-information.directory
    tde-internet-terminal.directory tde-internet.directory
    tde-more.directory tde-multimedia.directory tde-office.directory
    tde-science.directory tde-settings-accessibility.directory
    tde-settings-components.directory tde-settings-desktop.directory
    tde-settings-looknfeel.directory tde-settings-network.directory
    tde-settings-peripherals.directory tde-settings-hardware.directory
    tde-settings-power.directory tde-settings-security.directory
    tde-settings-sound.directory tde-settings-system.directory
    tde-settings-webbrowsing.directory tde-settings.directory
    tde-settingsmenu.directory tde-system-screensavers.directory
    tde-system-terminal.directory tde-system.directory
    tde-toys.directory tde-unknown.directory
    tde-utilities-xutils.directory tde-utilities.directory
    tde-utilities-accessibility.directory tde-utilities-desktop.directory
    tde-utilities-peripherals.directory tde-utilities-file.directory
    tde-utilities-pim.directory tde-development-translation.directory
    tde-development-webdevelopment.directory
    kde-development-webdevelopment.directory kde-development.directory
    kde-editors.directory kde-edu-languages.directory kde-edu-mathematics.directory
    kde-edu-miscellaneous.directory kde-edu-science.directory kde-games-arcade.directory
    kde-games-board.directory kde-games-card.directory kde-games-kids.directory
    kde-games-strategy.directory kde-games.directory kde-graphics.directory
    kde-internet.directory kde-multimedia.directory kde-office.directory
    kde-settingsmenu.directory kde-system.directory kde-toys.directory
    kde-utilities-accessibility.directory kde-utilities-desktop.directory
    kde-utilities-pim.directory kde-utilities.directory tde-office-pim.directory
  DESTINATION ${XDG_DIRECTORY_INSTALL_DIR} )

=== kdesktop/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( lock )
add_subdirectory( pics )
add_subdirectory( patterns )
add_subdirectory( programs )
add_subdirectory( init )
add_subdirectory( kwebdesktop )


if( NOT BUILD_LIBKONQ )
  include( "${TDE_CMAKE_DIR}/libkonq.cmake" )
endif( NOT BUILD_LIBKONQ )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/tdmlib
  ${CMAKE_SOURCE_DIR}/kcontrol/background
  ${CMAKE_SOURCE_DIR}/libkonq
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${DBUS_INCLUDE_DIRS}
  ${DBUS_1_TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${LIBART_LIBRARY_DIRS}
  ${DBUS_1_TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    KDesktopIface.h KScreensaverIface.h KBackgroundIface.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

configure_file( kdesktop.desktop.cmake kdesktop.desktop @ONLY )

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/kdesktop.desktop DESTINATION ${AUTOSTART_INSTALL_DIR} )
install( FILES kdesktop_custom_menu1 kdesktop_custom_menu2 DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdesktopSetAsBackground.desktop DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus )
install( FILES kdesktop.kcfg tdelaunch.kcfg DESTINATION ${KCFG_INSTALL_DIR} )


##### kcheckrunning (executable) ################

tde_add_executable( kcheckrunning
  SOURCES kcheckrunning.cpp
  LINK ${TQT_LIBRARIES} X11
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kdesktop (tdeinit) ########################

set( target kdesktop )
set_property( SOURCE lockeng.cc APPEND PROPERTY COMPILE_DEFINITIONS KDE_CONFDIR="${TDE_CONFIG_DIR}" )

set( ${target}_SRCS
  main.cc krootwm.cc xautolock.cc kdiconview.cc init.cc
  desktop.cc lockeng.cc KDesktopIface.skel bgmanager.cc
  KScreensaverIface.skel minicli.cpp KBackgroundIface.skel
  pixmapserver.cc kcustommenu.cc startupid.cpp minicli_ui.ui
  xautolock_diy.c xautolock_engine.c kshadowengine.cpp
  kshadowsettings.cpp kdesktopshadowsettings.cpp
  tdefileividesktop.cpp kdesktopapp.cpp
)

tde_add_tdeinit_executable( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK
    pthread kdesktopsettings-static bgnd-static dmctl-static
    konq-shared tdeutils-shared
    ${XRENDER_LIBRARIES} ${XCURSOR_LIBRARIES} Xext ${DL_LIBRARIES}
    ${XSS_LIBRARIES} ${DBUS_1_TQT_LIBRARIES}
)


##### kdesktopsettings (static) #################

tde_add_library( kdesktopsettings STATIC_PIC
  SOURCES kdesktopsettings.kcfgc tdelaunchsettings.kcfgc
)

=== konsole/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( konsole )
add_subdirectory( other )
# add_subdirectory( doc )
add_subdirectory( fonts )
add_subdirectory( terminalhere )


install( FILES
    konsole.desktop konsolesu.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR} )


install( FILES
    konsolepart.desktop kwrited.desktop konsole-script.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


install( FILES
    terminalemulator.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR} )


install( FILES
    konsole.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )


install( PROGRAMS
    schemaStrip.pl
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )


install( FILES
    kwrited.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kded )


install( FILES
    terminalhere.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus )


install( FILES
    eventsrc tips
  DESTINATION ${DATA_INSTALL_DIR}/konsole )

=== tdepasswd/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kcm )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES tdepasswd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### tdepasswd (executable) ####################

tde_add_executable( tdepasswd AUTOMOC
  SOURCES tdepasswd.cpp passwd.cpp passwddlg.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== kappfinder/apps/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( Internet )
add_subdirectory( Development )
add_subdirectory( Graphics )
add_subdirectory( System )
add_subdirectory( Utilities )
add_subdirectory( Office )
add_subdirectory( Multimedia )
add_subdirectory( Games )

=== kate/data/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### other data ################################

install( FILES kateplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR} )
install( FILES kate.desktop kwrite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kateui.rc externaltools tips DESTINATION ${DATA_INSTALL_DIR}/kate )
install( FILES kwriteui.rc DESTINATION ${DATA_INSTALL_DIR}/kwrite )
install( FILES kate-2.4.upd DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )
install( FILES katerc DESTINATION ${CONFIG_INSTALL_DIR} )

=== kcontrol/colors/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES colors.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kcm_colors (module) #######################

tde_add_kpart( kcm_colors AUTOMOC
  SOURCES colorscm.cpp widgetcanvas.cpp
  LINK krdb-static tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kcontrol/crypto/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

##### check for openssl #########################

option( WITH_SSL "Enable support for SSL" ON )

if( WITH_SSL )
  pkg_search_module( SSL openssl )
  if( NOT SSL_FOUND )
    check_include_file( openssl/ssl.h HAVE_OPENSSL_H )
    check_library_exists( ssl OPENSSL_init_ssl "" HAVE_LIBSSL_11 )
    if( NOT HAVE_LIBSSL_11 )
      check_library_exists( ssl SSL_library_init "" HAVE_LIBSSL )
    endif( )
    check_library_exists( crypto EVP_EncryptInit_ex "" HAVE_LIBCRYPTO )
    if( HAVE_OPENSSL_H AND (HAVE_LIBSSL_11 OR HAVEL_LIBSSL) AND HAVE_LIBCRYPTO )
      set( SSL_FOUND 1 CACHE INTERNAL "" FORCE )
      find_file( OPENSSLV_H openssl/opensslv.h )
      file( STRINGS "${OPENSSLV_H}" SSL_VERSION REGEX "#[ \t]*define[ \t]*OPENSSL_VERSION_TEXT" )
      string( REGEX REPLACE "# *define[ \t]*OPENSSL_VERSION_TEXT[ \t]*\"[^0-9 ]* *([^ ]*).*" "\\1"
              SSL_VERSION "${SSL_VERSION}" )
      set( SSL_VERSION "${SSL_VERSION}" CACHE INTERNAL "" FORCE )
      message( STATUS "Found OpenSSL: version ${SSL_VERSION}" )
    endif( HAVE_OPENSSL_H AND (HAVE_LIBSSL_11 OR HAVEL_LIBSSL) AND HAVE_LIBCRYPTO )
  endif( NOT SSL_FOUND )
  if( NOT SSL_FOUND )
    tde_message_fatal( "SSL support is requested, but openssl not found on your system" )
  endif( NOT SSL_FOUND )
  set( HAVE_SSL 1 CACHE INTERNAL "" FORCE )
endif( WITH_SSL )


##### compiler/linker settings ##################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES crypto.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kcm_crypto (module) #######################

tde_add_kpart( kcm_crypto AUTOMOC
  SOURCES crypto.cpp certexport.cpp kdatetimedlg.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kcontrol/knotify/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( sounds )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES kcmnotify.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES play.png DESTINATION ${DATA_INSTALL_DIR}/kcontrol/pics )


##### kcm_knotify (module) ######################

tde_add_kpart( kcm_knotify AUTOMOC
  SOURCES knotify.cpp playersettings.ui
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kcontrol/locale/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( default )
add_subdirectory( pics )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES language.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kcm_locale (module) #######################

tde_add_kpart( kcm_locale AUTOMOC
  SOURCES
    main.cpp toplevel.cpp kcmlocale.cpp klocalesample.cpp
    localenum.cpp localemon.cpp localetime.cpp localeother.cpp
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== kcontrol/performance/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### other data ################################

install( FILES kcmperformance.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kcmkonqyperformance.desktop DESTINATION ${APPS_INSTALL_DIR}/.hidden )


##### kcm_performance (module) ##################

tde_add_kpart( kcm_performance AUTOMOC
  SOURCES kcmperformance.cpp konqueror.cpp konqueror_ui.ui system.cpp system_ui.ui
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tdebase-trinity (4:14.0.8-0ubuntu18.10.0+1) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 18 Apr 2020 18:01:14 +0200

=== debian/control ===
Source: tdebase-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Fathi Boudra <fboudra@free.fr>, Modestas Vainius <geromanas@mailas.com>, Sune Vuorela <debian@pusling.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, autotools-dev, gawk, tdelibs14-trinity-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libpopt-dev, libraw1394-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsensors4-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libsmbclient-dev, libusb-dev, libxtst-dev, libfontenc-dev, xscreensaver, xscreensaver-data, xscreensaver-data-extra, libxss-dev, libxcomposite-dev, libxdamage-dev, libxkbfile-dev, xutils, sharutils, texinfo, htdig, libavahi-compat-libdnssd-dev (>= 0.4), x11proto-kb-dev, xmkmf | xutils-dev, tdelibs14-trinity, libogg-dev, libavahi-tqt-dev, udev, libudev-dev, libdbus-1-dev, libconfig-dev, libart-2.0-dev (>= 4:14.0.0~), libtool, libltdl-dev, cmake
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11, tdelibs14-trinity-doc
Build-Conflicts: nvidia-glx (<< 1.0.8774-6)
Standards-Version: 3.8.4

Package: tdebase-trinity
Section: tde
Architecture: all
Replaces: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
Breaks: kdebase-kde3 (<< 4:14.0.0~), kdebase-trinity (<< 4:14.0.0~)
Depends: kappfinder-trinity (>= ${source:Version}), kate-trinity (>= ${source:Version}), kcontrol-trinity (>= ${source:Version}), tdebase-trinity-bin (>= ${source:Version}), tdebase-data-trinity (>= ${source:Version}), tdebase-tdeio-plugins-trinity (>= ${source:Version}), tdepasswd-trinity (>= ${source:Version}), tdeprint-trinity (>= ${source:Version}), kdesktop-trinity (>= ${source:Version}), kfind-trinity (>= ${source:Version}), khelpcenter-trinity (>= ${source:Version}), kicker-trinity (>= ${source:Version}), klipper-trinity (>= ${source:Version}), kmenuedit-trinity (>= ${source:Version}), konqueror-nsplugins-trinity (>= ${source:Version}), konqueror-trinity (>= ${source:Version}), konsole-trinity (>= ${source:Version}), kpager-trinity (>= ${source:Version}), kpersonalizer-trinity (>= ${source:Version}), ksmserver-trinity (>= ${source:Version}), ksplash-trinity (>= ${source:Version}), ksysguard-trinity (>= ${source:Version}), ktip-trinity (>= ${source:Version}), twin-trinity (>= ${source:Version}), libkonq4-trinity (>= ${source:Version}), xcalib
Recommends: tdm-trinity (>= ${source:Version}), tdebase-runtime-data-common-trinity, libtqt3-integration-trinity
Suggests: tdebase-trinity-doc-html (>= ${source:Version})
Description: base components from the official TDE release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the nucleus of TDE, namely the minimal package
 set necessary to run TDE as a desktop environment. This includes the
 window manager, taskbar, control center, a text editor, file manager,
 web browser, X terminal emulator, and many other programs and components.

Package: tdebase-runtime-data-common-trinity
Section: tde
Architecture: all
Replaces: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Breaks: kdebase-runtime-data-common-kde3 (<< 4:14.0.0~), kdebase-runtime-data-common-trinity (<< 4:14.0.0~)
Description: Shared common files for Trinity and KDE4
 .
 Shared common files for both Trinity and KDE4
 Such as the desktop right-click-"Create New" list

Package: kappfinder-trinity
Section: tde
Architecture: any
Replaces: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
Breaks: kappfinder-kde3 (<< 4:14.0.0~), kappfinder-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: non-TDE application finder for TDE
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kate-trinity
Section: editors
Architecture: any
Replaces: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
Breaks: kate-kde3 (<< 4:14.0.0~), kate-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kregexpeditor-trinity
Suggests: aspell | ispell | hspell, kate-plugins-trinity, khelpcenter-trinity, konsole-trinity
Description: advanced text editor for TDE
 Kate is a multi document editor, based on a rewritten version of the kwrite
 editing widget of TDE.
 .
 It is a multi-view editor that lets you view several instances of the same
 document with all instances being synced, or view more files at the same
 time for easy reference or simultaneous editing. The terminal emulation
 and sidebar are docked windows that can be plugged out of the main window,
 or replaced therein according to your preference.
 .
 Some random features:
 .
  * Editing of big files
  * Extensible syntax highlighting
  * Folding
  * Dynamic word wrap
  * Selectable encoding
  * Filter command
  * Global grep dialog
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: kcontrol-trinity
Section: tde
Architecture: any
Replaces: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
Breaks: kcontrol-kde3 (<< 4:14.0.0~), kcontrol-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tdebase-data-trinity (>> ${TDE-Version3}~), tdebase-data-trinity (<< ${TDE-Next-Version3}~), tdebase-runtime-data-common-trinity, usbutils
Recommends: udev
Suggests: khelpcenter-trinity, ntpdate | ntp-simple
Conflicts: tdebase-libs-trinity (<< 4:3.0.0)
Description: control center for TDE
 The Trinity Control Center provides you with a centralized and convenient
 way to configure all of your TDE settings.
 .
 It is made up of multiple modules. Each module is a separate application,
 but the control center organizes all of these programs into a convenient
 location.
 .
 In combination with udev KControl supports the advanced
 configuration of Logitech mice, though the user must be a member of the
 plugdev group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-bin
Section: tde
Architecture: any
Replaces: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
Breaks: kdebase-kde3-bin (<< 4:14.0.0~), kdebase-trinity-bin (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter-trinity, gdb
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), tdm-trinity (<< 4:3.4.1-2), tdebase-workspace-data-trinity (<< 7:3.5.0)
Description: core binaries for the TDE base module
 This package contains miscellaneous programs needed by other
 TDE applications, particularly those in the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-data-trinity
Section: tde
Architecture: all
Replaces: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
Breaks: kdebase-data-kde3 (<< 4:14.0.0~), kdebase-data-trinity (<< 4:14.0.0~)
Conflicts: kcontrol-trinity (<< 4:3.4.2-1), twin-trinity (<< 4:3.4.2-1), kicker-trinity (<< 4:3.4.2-1), kdf-trinity (<< 4:14.0.6~)
Description: shared data files for the TDE base module
 This package contains the architecture-independent shared data files
 needed for a basic Trinity desktop installation.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-dev
Section: devel
Architecture: any
Replaces: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
Breaks: kdebase-kde3-dev (<< 4:14.0.0~), kdebase-trinity-dev (<< 4:14.0.0~)
Depends: kate-trinity (= ${source:Version}), kcontrol-trinity (= ${source:Version}), tdebase-trinity-bin (= ${source:Version}), tdeprint-trinity (= ${source:Version}), kdesktop-trinity (= ${source:Version}), khelpcenter-trinity (= ${source:Version}), kicker-trinity (= ${source:Version}), klipper-trinity (= ${source:Version}), kmenuedit-trinity (= ${source:Version}), konqueror-nsplugins-trinity (= ${source:Version}), konqueror-trinity (= ${source:Version}), konsole-trinity (= ${source:Version}), ksmserver-trinity (= ${source:Version}), ksplash-trinity (= ${source:Version}), ksysguard-trinity (= ${source:Version}), twin-trinity (= ${source:Version}), tdelibs14-trinity-dev
Description: development files for the TDE base module
 This package contains headers and other development files needed to
 compile software based on the TDE base module.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc
Section: doc
Architecture: all
Replaces: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
Breaks: kdebase-kde3-doc (<< 4:14.0.0~), kdebase-trinity-doc (<< 4:14.0.0~)
Description: developer documentation for the TDE base module
 This package contains documentation for the TDE base module, of
 use more for developers creating applications than regular users.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdebase-kde3-doc-html (<< 4:14.0.0~), kdebase-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdebase-trinity
Description: TDE base documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE base documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/kate/. Documentation is provided for most
 TDE base packages.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.

Package: tdebase-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdebase-kio-plugins-kde3 (<< 4:14.0.0~), kdebase-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kdesktop-trinity, libsasl2-modules, psmisc, man-db (>= 2.5.1-1)
Recommends: udisks2 | udisks | pmount, cryptsetup, kamera-trinity, tdebase-tdeio-smb-trinity, tdemultimedia-tdeio-plugins-trinity
Suggests: khelpcenter-trinity, mtools
Conflicts: tdebase-libs-trinity (<< 4:3.0.0), mediamanager
Description: core I/O slaves for TDE
 This package includes the base tdeioslaves. They include, amongst many
 others, file, http, ftp, smtp, pop and imap.
 .
 It also includes the media tdeioslave, which handles removable devices,
 and which works best with procfs, udev, and udisks2/udisks/pmount. Media
 also extends the functionality of many other tdeioslaves. To use this
 service, please make sure that your user is a member of the plugdev
 group.
 .
 This package is part of TDE, and a component of the TDE base module.
 See the 'tde-trinity' and 'tdebase-trinity' packages for more information.
